org.apache.flume.serialization

## Interface PositionTracker

- All Superinterfaces:
    AutoCloseable, Closeable
  All Known Implementing Classes:
    DurablePositionTracker

      @InterfaceAudience.Private
      @InterfaceStability.Evolving
      public interface PositionTracker
      extends Closeable

  Defines an interface for tracking the offset position in a target file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `getPosition()`
    `String` | `getTarget()`
    `void` | `storePosition(long position)`

- - ### Method Detail

    - #### storePosition

          void storePosition(long position)
                             throws IOException

      Throws:
        `IOException`

    - #### getPosition

          long getPosition()

    - #### getTarget

          String getTarget()

    - #### close

          void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.